| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxWebViewFSHandler Class Reference
Class List by Category » WebView

`#include <wx/webviewfshandler.h>`

Inheritance diagram for wxWebViewFSHandler:
[legend]

## Detailed Description

A wxWebView file system handler to support standard wxFileSystem protocols of the form `example:page.htm` The handler allows wxWebView to use wxFileSystem in a similar fashion to its use with wxHtml.

The wxMemoryFSHandler documentation gives an example of how it may be used.

Since
  2.9.5

  ##

Library: wxWebView
Category: WebView

See also
  wxWebView, wxWebViewHandler, wxWebViewArchiveHandler

## Public Member Functions

| wxWebViewFSHandler (const wxString &scheme)
| Constructor. More...
virtual wxFSFile * | GetFile (const wxString &uri)
Public Member Functions inherited from wxWebViewHandler
| wxWebViewHandler (const wxString &scheme)
| Constructor. More...
virtual wxString | GetName () const

## Constructor & Destructor Documentation

wxWebViewFSHandler::wxWebViewFSHandler | ( | const wxString & | scheme | ) |

Constructor.

## Member Function Documentation

virtual wxFSFile* wxWebViewFSHandler::GetFile | ( | const wxString & | uri | ) |

virtual

Returns
  A pointer to the file represented by `uri`.

Implements wxWebViewHandler.